Page MenuHomePhabricator

[Task] Use EntityLookup for article placeholder
Closed, ResolvedPublic

Description

It needs to be checked whether an entity actually exists before I try to make a placeholder page. Therefore the EntityLookup is needed.
If the whole Entity is loaded anyway, it might make sense to not use the LabelLookup and similar.

Details

Related Gerrit Patches:
mediawiki/extensions/ArticlePlaceholder : masterUse EntityLookup

Related Objects

StatusAssignedTask
ResolvedLydia_Pintscher
Resolvedhoo
Resolvedthiemowmde
DeclinedNone
ResolvedAddshore
InvalidLydia_Pintscher
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
Resolvedcsteipp
ResolvedJanZerebecki
DuplicateNone
Resolvedhoo
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedLucie
ResolvedNone
ResolvedLucie
OpenNone
InvalidLucie
DeclinedLucie
ResolvedLucie
InvalidLucie
ResolvedLucie
OpenNone
Resolvedhoo

Event Timeline

Lucie created this task.Oct 8 2015, 8:38 PM
Lucie claimed this task.
Lucie raised the priority of this task from to Needs Triage.
Lucie updated the task description. (Show Details)
Lucie added a subscriber: Lucie.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 8 2015, 8:38 PM
Lydia_Pintscher renamed this task from [Task] Use EntityLookup to [Task] Use EntityLookup for article placeholder.Oct 12 2015, 1:05 PM
Lydia_Pintscher set Security to None.
Lucie moved this task from Incoming to To Do Next on the ArticlePlaceholder board.Oct 30 2015, 5:00 PM
Lucie moved this task from To Do Next to Doing on the ArticlePlaceholder board.Nov 1 2015, 11:53 AM

Change 250312 had a related patch set uploaded (by Lucie Kaffee):
[WIP] Use EntityLookup

https://gerrit.wikimedia.org/r/250312

Lydia_Pintscher moved this task from incoming to in progress on the Wikidata board.Nov 2 2015, 2:42 PM
Lucie moved this task from Doing to Review on the ArticlePlaceholder board.Nov 3 2015, 8:05 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 3 2015, 8:05 PM
Lucie moved this task from Doing to Review on the Wikidata-Sprint-2015-11-03 board.Nov 3 2015, 8:06 PM

Change 250312 merged by jenkins-bot:
Use EntityLookup

https://gerrit.wikimedia.org/r/250312

thiemowmde closed this task as Resolved.Nov 6 2015, 11:05 AM
thiemowmde moved this task from Review to Done on the Wikidata-Sprint-2015-11-03 board.
thiemowmde added a subscriber: thiemowmde.
Lucie moved this task from Review to Done on the ArticlePlaceholder board.Nov 6 2015, 12:42 PM